#!/bin/bash


gpio -g mode 4 out  #gpio 17 en mode out

gpio -g mode 18 in  #gpio 18 en mode in 

b=0
# la variable $on prendra les valeurs 0 ou 1 pour "allumer" ou "éteindre"
# la led est initialement éteinte
on=0

while [ 1==1 ]
do
  # attendre que le bouton S1 soit poussé
  while [ $b -eq 0 ]
  do
    b=$(gpio -g read 18)
  done
  # attendre que le bouton S1 soit relaché
  while [ $b -eq 1 ]
  do
    b=$(gpio -g read 18)
  done

  # si on est en mode "arreté", lancer la lecture
  lecture=$(ps ax | grep omxplay-list | grep -v grep)
  if [[ $lecture == ""  ]]; then
    killall clignote.sh
    /var/www/html/mp3/omxplay-list &
    on=1
    #allumer la led gpio 17 pour indiquer le mode lecture
    gpio -g write 4 1   # led 17 on
  else
  
    # si on est dèjà en mode "lecture", inverser la valeur de $on
    if [ $on -eq 1 ]
    then
      on=0
      /var/www/html/mp3/omxplay-cmd p
      # activer le clignotement pour indiquer le mode pause
      /var/www/html/mp3/clignote.sh &
    else
      on=1
      /var/www/html/mp3/omxplay-cmd p
      # arreter le clignotement
      killall clignote.sh
      #allumer la led gpio 17 pour indiquer le mode lecture
      gpio -g write 17 1
    fi

  fi

sleep 0.5
done
